---
title: "Membership API"
url: "https://api-docs.centraldispatch.com/apis/membership-api-1-0-0/versions/565f78cb-7a6d-42ef-bd8b-1af2d1394eef"
---

# Membership API

OpenAPI specification document.

```json
{"openapi":"3.0.1","info":{"title":"Membership API","description":"Central Dispatch's Membership API is used for managing membership within Central Dispatch.\n 🔑 Scope: membership","contact":{"email":"datasyndicationsupport@centraldispatch.com"},"version":"1.0.0"},"servers":[{"url":"https://membership-api.centraldispatch.com","description":"Production server"}],"paths":{"/customers":{"get":{"tags":["Customers"],"summary":"Search Customers","description":"Get a collection of operational customers based on the specified search criteria.","operationId":"getSearchCustomers","parameters":[{"name":"marketplace","in":"query","description":"The ID of the Central Dispatch Marketplace. There are three types of Marketplaces:\r\n\r\n- **Public**: The public Marketplace ID is `10000`.\r\n- **Test**: Test Marketplace IDs will be provided to you by Central Dispatch.\r\n- **Private**: Private Marketplace IDs will be provided to you by Central Dispatch, if necessary.","required":true,"schema":{"type":"integer","format":"int32"},"example":10000},{"name":"name","in":"query","description":"The company name of the customer. If supplied, must be at least 3 characters in length.","schema":{"minLength":3,"type":"string","default":null,"nullable":true},"example":"The Transport Co."},{"name":"mcNumber","in":"query","description":"Motor carrier number (MC Number) or authority number.","schema":{"type":"string","default":null,"nullable":true},"example":"MC 123456"},{"name":"phoneNumber","in":"query","description":"The phone number of the customer.","schema":{"type":"string","default":null,"nullable":true},"example":"800-555-9090"},{"name":"email","in":"query","description":"The email address of the contact. Must be a valid email address format.","schema":{"type":"string","default":null,"nullable":true},"example":"trans-port@notgmail.com"},{"name":"usDotNumber","in":"query","description":"The US Department of Transportation (USDOT) number.","schema":{"type":"string","default":null,"nullable":true},"example":"USDOT 1234567"},{"name":"limit(startingPoint,numberOfResults)","in":"query","description":"The maximum number of items to be returned in the response.\n - `startingPoint` is 1-based integer, default 1.\n - `numberOfResults` is an integer, default 25, maximum 500.","schema":{"type":"string"},"example":"limit(1,10)"},{"name":"Accept","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Accept header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"responses":{"200":{"description":"OK. Successful request.","headers":{"X-CoxAuto-Media-Type":{"description":"Contains the major version and format information.","schema":{"type":"string"},"example":"coxauto.v1; format=json"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerSearchCollection"}}}},"400":{"description":"Bad Request. Check the request payload.\n\n**Scenarios:**\n\n - Parsing error from invalid query string syntax.\n - `limit` value not between 1 and 500 (e.g., limit(1,501) or limit(1,0)).\n - `marketplaceId` is invalid or not provided.\n - No optional search parameters provided (must provide at least one: `name`, `email`, `phoneNumber`, `mcNumber`, or `usDotNumber`).\n - Name parameter provided but less than 3 characters.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden. The attempted action is not permitted."},"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/customers/id/{customerId}":{"get":{"tags":["Customers"],"summary":"Get Customer by ID","description":"Get a customer by ID","operationId":"getCustomerById","parameters":[{"name":"customerId","in":"path","description":"The Central Dispatch customer ID of the customer.","required":true,"schema":{"type":"string","format":"uuid"},"example":"d5c62b14-cbd1-11ee-9a0e-0242ac110002"},{"name":"Accept","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Accept header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"responses":{"200":{"description":"OK. Successful request.","headers":{"X-CoxAuto-Media-Type":{"description":"Contains the major version and format information.","schema":{"type":"string"},"example":"coxauto.v1; format=json"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerResponse"}}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden. The attempted action is not permitted."},"404":{"description":"Not Found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/users/id/{userId}":{"get":{"tags":["Users"],"summary":"Get User","description":"Get a user by ID.","operationId":"getUser","parameters":[{"name":"userId","in":"path","description":"The Central Dispatch user ID.","required":true,"schema":{"type":"string","format":"uuid"},"example":"d71b5750-e89b-12d3-a456-426614174000"},{"name":"Accept","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Accept header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"responses":{"200":{"description":"OK. Successful request.","headers":{"X-CoxAuto-Media-Type":{"description":"Contains the major version and format information.","schema":{"type":"string"},"example":"coxauto.v1; format=json"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden. The attempted action is not permitted."},"404":{"description":"Not Found.","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/StatusError"},{"$ref":"#/components/schemas/Errors"}]}}}},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}},"/users/mine":{"get":{"tags":["Users"],"summary":"Get My Users","description":"Get all the users that are associated with the customer in the Bearer token.","operationId":"getUsersMine","parameters":[{"name":"limit(startingPoint,numberOfResults)","in":"query","description":"The maximum number of items to be returned in the response.\n - `startingPoint` is 1-based integer, default 1.\n - `numberOfResults` is an integer, default 25, maximum 500.","schema":{"type":"string"},"example":"limit(1,10)"},{"name":"Accept","in":"header","description":"The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Accept header should be set to `application/vnd.coxauto.v1+json`.","required":true,"schema":{"type":"string"},"example":"application/vnd.coxauto.v1+json"}],"responses":{"200":{"description":"OK. Successful request.","headers":{"X-CoxAuto-Media-Type":{"description":"Contains the major version and format information.","schema":{"type":"string"},"example":"coxauto.v1; format=json"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCollection"}}}},"400":{"description":"Bad Request. Check the request payload.\n\n**Scenarios:**\n\n - Parsing error from invalid query string syntax.\n - `limit` value not between 1 and 500 (e.g., limit(1,501) or limit(1,0)).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}}},"401":{"description":"Unauthorized. Authentication failed or missing."},"403":{"description":"Forbidden. The attempted action is not permitted."},"429":{"description":"Too Many Requests. Rate limit exceeded."},"500":{"description":"Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}}},"503":{"description":"Service Unavailable. Temporary service interruption."}},"security":[{"Bearer":[]}]}}},"components":{"schemas":{"AddressResponse":{"type":"object","properties":{"streetAddress":{"type":"string","description":"The street address.","nullable":true,"example":"345 W Elm St."},"streetAddress2":{"type":"string","description":"Additional street address line.","nullable":true,"example":"2nd Floor"},"city":{"type":"string","description":"The city.","nullable":true,"example":"Anaheim"},"state":{"type":"string","description":"The state.","nullable":true,"example":"CA"},"zipcode":{"type":"string","description":"The ZIP code. Must be a valid United States ZIP code or Canadian postal code.","nullable":true,"example":"92802"},"type":{"type":"string","description":"The type of address (e.g., PRIMARY, LOCAL, BILLING).","nullable":true,"example":"PRIMARY"}},"description":"Details of a customer's address."},"AuthorityNumberResponse":{"type":"object","properties":{"number":{"type":"string","description":"The authority number assigned to the customer.","nullable":true,"example":"DL 01-00673-10"},"verified":{"type":"boolean","description":"Indicates whether the authority number is verified.","nullable":true,"example":true},"type":{"type":"string","description":"The type of authority number.","nullable":true,"example":"DEALER_LICENSE"}},"description":"Details of a customer's authority number."},"CustomerResponse":{"type":"object","properties":{"companyName":{"type":"string","description":"The name of the company.","nullable":true,"example":"Smart Logistics"},"email":{"type":"string","description":"The email address of the contact. Must be a valid email address format.","nullable":true,"example":"contact@aculogistics.com"},"phoneNumbers":{"type":"array","items":{"$ref":"#/components/schemas/PhoneResponse"},"description":"A collection of phone numbers associated with the customer.","nullable":true},"addresses":{"type":"array","items":{"$ref":"#/components/schemas/AddressResponse"},"description":"A collection of addresses associated with the customer.","nullable":true},"customerAuthorityNumbers":{"type":"array","items":{"$ref":"#/components/schemas/AuthorityNumberResponse"},"description":"A collection of authority numbers associated with the customer.","nullable":true},"customerId":{"type":"string","description":"The Central Dispatch customer ID of the customer.","format":"uuid","nullable":true,"example":"d5c62b14-cbd1-11ee-9a0e-0242ac110002"},"accessPaused":{"type":"boolean","description":"Indicates if the company has temporarily lost access to their account due to security reasons.","nullable":true,"example":true}},"description":"A customer record."},"CustomerSearchCollection":{"required":["href","count","items","limit"],"type":"object","properties":{"href":{"type":"string","description":"The URL used to query the current collection of the resource.","example":"https://membership-api.centraldispatch.com/customers/?start=5&limit=1&name=acu"},"count":{"type":"integer","description":"The total count of resources in the collection.","format":"int32","example":23},"items":{"type":"array","items":{"$ref":"#/components/schemas/CustomerSearchResponse"},"description":"A collection of records."},"limit":{"type":"integer","description":"The maximum number of items to be returned in the response.","format":"int32","example":1}},"description":"A collection of customers."},"CustomerSearchResponse":{"type":"object","properties":{"customerName":{"type":"string","description":"The customer's name.","nullable":true,"example":"Acu Logistics"},"customerId":{"type":"string","description":"The Central Dispatch customer ID of the customer.","nullable":true,"example":"d5c62b14-cbd1-11ee-9a0e-0242ac110002"},"email":{"type":"string","description":"The email address of the customer.","nullable":true,"example":"trans-port@notgmail.com"},"phoneNumbers":{"type":"array","items":{"$ref":"#/components/schemas/PhoneResponse"},"description":"A collection of phone numbers associated with the customer.","nullable":true},"addresses":{"type":"array","items":{"$ref":"#/components/schemas/AddressResponse"},"description":"A collection of addresses associated with the customer.","nullable":true},"customerAuthorityNumbers":{"type":"array","items":{"$ref":"#/components/schemas/AuthorityNumberResponse"},"description":"A collection of authority numbers associated with the customer.","nullable":true}},"description":"A customer record."},"Error":{"type":"object","properties":{"code":{"type":"string","description":"The code used for the issue.","nullable":true,"example":"resource.issue_type"},"message":{"type":"string","description":"A detailed message.","nullable":true,"example":"The issue happened because something is wrong."},"property":{"type":"string","description":"The property to which the issue is associated.","nullable":true,"example":"person"},"properties":{"type":"object","additionalProperties":{"type":"string"},"description":"Additional properties related to the issue.","nullable":true,"example":{"firstName":"D0nn@","lastName":"Sm!th"}}},"description":"Details of an error or issue."},"Errors":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"},"description":"A collection of errors.","nullable":true}},"description":"An error occurred, and the request could not be completed."},"PhoneResponse":{"type":"object","properties":{"phoneNumber":{"type":"string","description":"The phone number of the contact.","nullable":true,"example":"949-555-1323"},"type":{"type":"string","description":"The type of phone number (e.g., BILLING, LISTING, LOCAL).","nullable":true,"example":"LOCAL"},"extension":{"type":"string","description":"The phone number extension.","nullable":true,"example":"303"},"notes":{"type":"string","description":"Additional notes about the phone number.","nullable":true,"example":"Primary contact number"}},"description":"Details of a customer's phone number."},"StatusError":{"type":"object","properties":{"status":{"type":"string","description":"The status of the response.","nullable":true,"example":"error"},"errors":{"type":"array","items":{"type":"string"},"description":"A collection of error messages.","nullable":true,"example":["The issue happened because something is wrong."]}},"description":"An error occurred, and the request could not be completed."},"UserCollection":{"type":"object","properties":{"href":{"type":"string","description":"The URL used to query the current collection of the resource.","example":"https://membership-api.centraldispatch.com/users/mine?limit(5,1)"},"items":{"type":"array","items":{"$ref":"#/components/schemas/UserResponse"},"description":"A collection of records."},"limit":{"type":"integer","description":"The maximum number of items to be returned in the response.","format":"int32","example":1},"next":{"type":"string","description":"The URL to the next page of the collection, if available.","nullable":true,"example":"https://membership-api.centraldispatch.com/users/mine?limit(6,1)"},"previous":{"type":"string","description":"The URL to the previous page of the collection, if available.","nullable":true,"example":"https://membership-api.centraldispatch.com/users/mine?limit(4,1)"},"first":{"type":"string","description":"The URL to the first page of the collection.","nullable":true,"example":"https://membership-api.centraldispatch.com/users/mine?limit(1,1)"},"count":{"type":"integer","description":"The total count of resources in the collection.","format":"int32","example":23}},"description":"A paginated collection of users."},"UserResponse":{"type":"object","properties":{"href":{"type":"string","description":"The fully qualified URL of the user record.","example":"https://membership-api.centraldispatch.com/users/id/d71b5750-e89b-12d3-a456-426614174000"},"userId":{"type":"string","description":"The ID of the user.","format":"uuid","example":"d71b5750-e89b-12d3-a456-426614174000"},"firstName":{"type":"string","description":"The preferred first name of the user.","nullable":true,"example":"Mickey"},"lastName":{"type":"string","description":"The legal last name of the user.","example":"Smith"},"legalFirstName":{"type":"string","description":"The legal first name of the user.","example":"Michael"},"emailAddress":{"type":"string","description":"The email address of the user.","nullable":true,"example":"mickey@snoogle.com"},"username":{"type":"string","description":"The username of the user.","example":"msmith"},"isActive":{"type":"boolean","description":"Indicates if the user is active.","example":true},"createdOn":{"type":"string","description":"The creation date of the user (UTC/ISO 8601).","format":"date-time","example":"2024-10-31T00:00:00Z"},"updatedOn":{"type":"string","description":"The last updated date of the user (UTC/ISO 8601).","format":"date-time","example":"2024-10-15T00:00:00Z"},"phoneNumber":{"type":"string","description":"The phone number of the user.","nullable":true,"example":"949-555-1323"}},"description":"A user record."}},"securitySchemes":{"Bearer":{"type":"http","scheme":"Bearer"}}},"tags":[{"name":"Customers"},{"name":"Users"}]}
```
